LibreOffice: UserIndexMark Service Reference

LibreOffice LibreOffice 5.2 SDK API Reference

Included Services | Public Attributes | List of all members
UserIndexMark Service Referencepublished

is a TextRange which is explicitly marked as an index entry for a UserIndex. More...

`import"UserIndexMark.idl";`

Inheritance diagram for UserIndexMark:

## Included Services
service | com::sun::star::text::TextContent
service | com::sun::star::text::BaseIndexMark
Included Services inherited from BaseIndexMark
service | com::sun::star::text::TextContent

## Public Attributes
string | UserIndexName
| contains the name of the user index it belongs to. More...
Public Attributes inherited from TextContent
com::sun::star::text::TextContentAnchorType | AnchorType
| specifies how the text content is attached to its surrounding Text. More...
sequence< com::sun::star::text::TextContentAnchorType > | AnchorTypes
| contains the anchor type of the text content. More...
com::sun::star::text::WrapTextMode | TextWrap
| specifies if the text content is a shape and how the text is wrapped around the shape. More...
Public Attributes inherited from BaseIndexMark
string | AlternativeText
| the string that will be inserted into the corresponding index. More...

## Additional Inherited Members
Exported Interfaces inherited from TextContent
interface | com::sun::star::text::XTextContent
| This interface is used for the attachment of this text content to the surrounding text. More...
Public Member Functions inherited from XTextContent
void | attach ([in] com::sun::star::text::XTextRange xTextRange) raises ( com::sun::star::lang::IllegalArgumentException )
| is called when this object gets embedded in a text. More...
com::sun::star::text::XTextRange | getAnchor ()
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is a TextRange which is explicitly marked as an index entry for a UserIndex.

## Exported Interfaces

## ◆ com::sun::star::text::BaseIndexMark

service com::sun::star::text::BaseIndexMark

## ◆ com::sun::star::text::TextContent

service com::sun::star::text::TextContent

## Member Data Documentation

## ◆ UserIndexName

string UserIndexName
| property

contains the name of the user index it belongs to.

The documentation for this service was generated from the following file:

- com/sun/star/text/UserIndexMark.idl